[Koha-patches] [PATCH 23/28] Add koha-foreach, a script to run a command for each Koha instance.

Lars Wirzenius lars at catalyst.net.nz
Tue May 25 03:44:22 CEST 2010


Use script to enable the build_Holds_queue.pl cron job.
---
 debian/koha-common.cron.hourly |   19 +++++++++++++++++++
 debian/scripts/koha-foreach    |   37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+), 0 deletions(-)
 create mode 100644 debian/koha-common.cron.hourly
 create mode 100755 debian/scripts/koha-foreach

diff --git a/debian/koha-common.cron.hourly b/debian/koha-common.cron.hourly
new file mode 100644
index 0000000..4724ca8
--- /dev/null
+++ b/debian/koha-common.cron.hourly
@@ -0,0 +1,19 @@
+#!/bin/sh
+# /etc/cron.hourly/koha-common -- Hourly housekeeping tasks for all Kohas.
+# Copyright 2010  Catalyst IT, Ltd
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+koha-foreach --enabled /usr/share/koha/bin/cronjobs/holds/build_holds_queue.pl
diff --git a/debian/scripts/koha-foreach b/debian/scripts/koha-foreach
new file mode 100755
index 0000000..80152bc
--- /dev/null
+++ b/debian/scripts/koha-foreach
@@ -0,0 +1,37 @@
+#!/bin/sh
+# koha-foreach -- run a command for each Koha instance
+# Copyright 2010  Catalyst IT, Ltd
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+
+listopts=""
+if [ "$1" = --enabled ]
+then
+    listopts="--enabled"
+    shift
+fi
+
+
+for name in $(koha-list $listopts)
+do
+    sudo -u "$name-koha" \
+    env PERL5LIB=/usr/share/koha/lib \
+        KOHA_CONF="/etc/koha/sites/$name/koha-conf.xml" \
+        "$@"
+done
+
-- 
1.7.1




More information about the Koha-patches mailing list